Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QClipboard

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QObject
                  com.trolltech.qt.gui.QClipboard

All Implemented Interfaces:
  QtJambiInterface

    public final class QClipboard

extends QObject

The `QClipboard` class provides access to the window system clipboard.

The clipboard offers a simple mechanism to copy and paste data between applications.

`QClipboard` supports the same data types that `QDrag` does, and uses similar mechanisms. For advanced clipboard usage read Drag and Drop.

There is a single `QClipboard` object in an application, accessible as QApplication::clipboard().

Example:

        QClipboard *clipboard = QApplication::clipboard();
        QString originalText = clipboard->text();
        ...
        clipboard->setText(newText);

`QClipboard` features some convenience functions to access common data types: `setText` allows the exchange of Unicode text and `setPixmap` and `setImage` allows the exchange of QPixmaps and QImages between applications. The `setMimeData` function is the ultimate in flexibility: it allows you to add any `QMimeData` into the clipboard. There are corresponding getters for each of these, e.g. `text`, `image` and `pixmap`. You can clear the clipboard by calling `clear`.

### Notes for X11 Users

- The X11 Window System has the concept of a separate selection and clipboard. When text is selected, it is immediately available as the global mouse selection. The global mouse selection may later be copied to the clipboard. By convention, the middle mouse button is used to paste the global mouse selection.
- X11 also has the concept of ownership; if you change the selection within a window, X11 will only notify the owner and the previous owner of the change, i.e. it will not notify all applications that the selection or clipboard data changed.
- Lastly, the X11 clipboard is event driven, i.e. the clipboard will not function properly if the event loop is not running. Similarly, it is recommended that the contents of the clipboard are stored or retrieved in direct response to user-input events, e.g. mouse button or key presses and releases. You should not store or retrieve the clipboard contents in response to timer or non-user-input events.

### Notes for Mac OS X Users

Mac OS X supports a separate find buffer that holds the current search string in Find operations. This find clipboard can be accessed by specifying the `FindBuffer` mode.

### Notes for Windows and Mac OS X Users

- Windows and Mac OS X do not support the global mouse selection; they only supports the global clipboard, i.e. they only add text to the clipboard when an explicit copy or cut is made.
- Windows and Mac OS X does not have the concept of ownership; the clipboard is a fully global resource so all applications are notified of changes.

See Also:
  `QApplication`

Nested Class Summary
`static class` | `QClipboard.Mode`
`static class` | `QClipboard.Text`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Field Summary
`QSignalEmitter.Signal1<QClipboard.Mode>` | `changed` This signal is emitted when the data for the given clipboard `mode` is changed.
`QSignalEmitter.Signal0` | `dataChanged` This signal is emitted when the clipboard data is changed.
`QSignalEmitter.Signal0` | `findBufferChanged` This signal is emitted when the find buffer is changed.
`QSignalEmitter.Signal0` | `selectionChanged` This signal is emitted when the selection is changed.

Method Summary
`void` | `clear()` Equivalent to clear(Clipboard).
`void` | `clear(QClipboard.Mode mode)` Clear the clipboard contents.
`static QClipboard` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QClipboard instance pointed to by nativePointer
`QImage` | `image()` Equivalent to image(Clipboard).
`QImage` | `image(QClipboard.Mode mode)` Returns the clipboard image, or returns a null image if the clipboard does not contain an image or if it contains an image in an unsupported image format.
`QMimeData` | `mimeData()` Equivalent to `mimeData`(Clipboard).
`QMimeData` | `mimeData(QClipboard.Mode mode)` Returns a reference to a `QMimeData` representation of the current clipboard data.
`boolean` | `ownsClipboard()` Returns true if this clipboard object owns the clipboard data; otherwise returns false.
`boolean` | `ownsFindBuffer()` Returns true if this clipboard object owns the find buffer data; otherwise returns false.
`boolean` | `ownsSelection()` Returns true if this clipboard object owns the mouse selection data; otherwise returns false.
`QPixmap` | `pixmap()` Equivalent to pixmap(Clipboard).
`QPixmap` | `pixmap(QClipboard.Mode mode)` Returns the clipboard pixmap, or null if the clipboard does not contain a pixmap.
`void` | `setImage(QImage arg__1)` Equivalent to `setImage`(`arg__1`, Clipboard).
`void` | `setImage(QImage arg__1, QClipboard.Mode mode)` Copies the `arg__1` into the clipboard.
`void` | `setMimeData(QMimeData data)` Equivalent to `setMimeData`(`data`, Clipboard).
`void` | `setMimeData(QMimeData data, QClipboard.Mode mode)` Sets the clipboard data to `data`.
`void` | `setPixmap(QPixmap arg__1)` Equivalent to `setPixmap`(`arg__1`, Clipboard).
`void` | `setPixmap(QPixmap arg__1, QClipboard.Mode mode)` Copies `arg__1` into the clipboard.
`void` | `setText(java.lang.String arg__1)` Equivalent to `setText`(`arg__1`, Clipboard).
`void` | `setText(java.lang.String arg__1, QClipboard.Mode mode)` Copies `arg__1` into the clipboard as plain text.
`boolean` | `supportsFindBuffer()` Returns true if the clipboard supports a separate search buffer; otherwise returns false.
`boolean` | `supportsSelection()` Returns true if the clipboard supports mouse selection; otherwise returns false.
`java.lang.String` | `text()` Equivalent to text(Clipboard).
`java.lang.String` | `text(QClipboard.Mode mode)` Returns the clipboard text as plain text, or an empty string if the clipboard does not contain any text.
`QClipboard.Text` | `text(java.lang.String subtype)` Returns the clipboard text as plain text, or an empty string if the clipboard does not contain any text.
`QClipboard.Text` | `text(java.lang.String subtype, QClipboard.Mode mode)` Returns the clipboard text in subtype `subtype`, or an empty string if the clipboard does not contain any text.

Methods inherited from class com.trolltech.qt.core.QObject
`blockSignals, childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, property, removeEventFilter, setObjectName, setParent, setProperty, signalsBlocked, startTimer, thread, timerEvent`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`disconnect, disconnect, signalSender`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Field Detail

### changed

    public final QSignalEmitter.Signal1<QClipboard.Mode> changed

  This signal is emitted when the data for the given clipboard `mode` is changed.

  Compatible Slot Signatures:
    `void mySlot(com.trolltech.qt.gui.QClipboard.Mode mode)`
    `void mySlot()`
  See Also:
    `dataChanged`, `selectionChanged`, `findBufferChanged`

### dataChanged

    public final QSignalEmitter.Signal0 dataChanged

  This signal is emitted when the clipboard data is changed.

  On Mac OS X and with Qt version 4.3 or higher, clipboard changes made by other applications will only be detected when the application is activated.

  Compatible Slot Signature:
    `void mySlot()`
  See Also:
    `findBufferChanged`, `selectionChanged`, `changed`

### findBufferChanged

    public final QSignalEmitter.Signal0 findBufferChanged

  This signal is emitted when the find buffer is changed. This only applies to Mac OS X.

  With Qt version 4.3 or higher, clipboard changes made by other applications will only be detected when the application is activated.

  Compatible Slot Signature:
    `void mySlot()`
  See Also:
    `dataChanged`, `selectionChanged`, `changed`

### selectionChanged

    public final QSignalEmitter.Signal0 selectionChanged

  This signal is emitted when the selection is changed. This only applies to windowing systems that support selections, e.g. X11. Windows and Mac OS X don't support selections.

  Compatible Slot Signature:
    `void mySlot()`
  See Also:
    `dataChanged`, `findBufferChanged`, `changed`

Method Detail

### clear

    public final void clear()

  Equivalent to clear(Clipboard).

### clear

    public final void clear(QClipboard.Mode mode)

  Clear the clipboard contents.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, this function clears the the global clipboard contents. If `mode` is QClipboard::Selection, this function clears the global mouse selection contents. If `mode` is QClipboard::FindBuffer, this function clears the search string buffer.

  See Also:
    `QClipboard::Mode`, `supportsSelection`

### image

    public final QImage image()

  Equivalent to image(Clipboard).

### image

    public final QImage image(QClipboard.Mode mode)

  Returns the clipboard image, or returns a null image if the clipboard does not contain an image or if it contains an image in an unsupported image format.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the image is retrieved from the global clipboard. If `mode` is QClipboard::Selection, the image is retrieved from the global mouse selection.

  See Also:
    `setImage`, `pixmap`, `mimeData`, `QImage::isNull`

### mimeData

    public final QMimeData mimeData()

  Equivalent to `mimeData`(Clipboard).

### mimeData

    public final QMimeData mimeData(QClipboard.Mode mode)

  Returns a reference to a `QMimeData` representation of the current clipboard data.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the data is retrieved from the global clipboard. If `mode` is QClipboard::Selection, the data is retrieved from the global mouse selection. If `mode` is QClipboard::FindBuffer, the data is retrieved from the search string buffer.

  The `text`, `image`, and `pixmap` functions are simpler wrappers for retrieving text, image, and pixmap data.

  See Also:
    `setMimeData`

### ownsClipboard

    public final boolean ownsClipboard()

  Returns true if this clipboard object owns the clipboard data; otherwise returns false.

### ownsFindBuffer

    public final boolean ownsFindBuffer()

  Returns true if this clipboard object owns the find buffer data; otherwise returns false.

### ownsSelection

    public final boolean ownsSelection()

  Returns true if this clipboard object owns the mouse selection data; otherwise returns false.

### pixmap

    public final QPixmap pixmap()

  Equivalent to pixmap(Clipboard).

### pixmap

    public final QPixmap pixmap(QClipboard.Mode mode)

  Returns the clipboard pixmap, or null if the clipboard does not contain a pixmap. Note that this can lose information. For example, if the image is 24-bit and the display is 8-bit, the result is converted to 8 bits, and if the image has an alpha channel, the result just has a mask.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the pixmap is retrieved from the global clipboard. If `mode` is QClipboard::Selection, the pixmap is retrieved from the global mouse selection.

  See Also:
    `setPixmap`, `image`, `mimeData`, `QPixmap::convertFromImage`

### setImage

    public final void setImage(QImage arg__1)

  Equivalent to `setImage`(`arg__1`, Clipboard).

### setImage

    public final void setImage(QImage arg__1,
                               QClipboard.Mode mode)

  Copies the `arg__1` into the clipboard.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the image is stored in the global clipboard. If `mode` is QClipboard::Selection, the data is stored in the global mouse selection.

  This is shorthand for:

          QMimeData *data = new QMimeData;
          data->setImageData(image);
          clipboard->setMimeData(data, mode);

  See Also:
    `image`, `setPixmap`, `setMimeData`

### setMimeData

    public final void setMimeData(QMimeData data)

  Equivalent to `setMimeData`(`data`, Clipboard).

### setMimeData

    public final void setMimeData(QMimeData data,
                                  QClipboard.Mode mode)

  Sets the clipboard data to `data`. Ownership of the data is transferred to the clipboard. If you want to remove the data either call `clear` or call `setMimeData` again with new data.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the data is stored in the global clipboard. If `mode` is QClipboard::Selection, the data is stored in the global mouse selection. If `mode` is QClipboard::FindBuffer, the data is stored in the search string buffer.

  The `setText`, `setImage` and `setPixmap` functions are simpler wrappers for setting text, image and pixmap data respectively.

  See Also:
    `mimeData`

### setPixmap

    public final void setPixmap(QPixmap arg__1)

  Equivalent to `setPixmap`(`arg__1`, Clipboard).

### setPixmap

    public final void setPixmap(QPixmap arg__1,
                                QClipboard.Mode mode)

  Copies `arg__1` into the clipboard. Note that this is slower than `setImage` because it needs to convert the `QPixmap` to a `QImage` first.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the pixmap is stored in the global clipboard. If `mode` is QClipboard::Selection, the pixmap is stored in the global mouse selection.

  See Also:
    `pixmap`, `setImage`, `setMimeData`

### setText

    public final void setText(java.lang.String arg__1)

  Equivalent to `setText`(`arg__1`, Clipboard).

### setText

    public final void setText(java.lang.String arg__1,
                              QClipboard.Mode mode)

  Copies `arg__1` into the clipboard as plain text.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the text is stored in the global clipboard. If `mode` is QClipboard::Selection, the text is stored in the global mouse selection. If `mode` is QClipboard::FindBuffer, the text is stored in the search string buffer.

  See Also:
    `text`, `setMimeData`

### supportsFindBuffer

    public final boolean supportsFindBuffer()

  Returns true if the clipboard supports a separate search buffer; otherwise returns false.

### supportsSelection

    public final boolean supportsSelection()

  Returns true if the clipboard supports mouse selection; otherwise returns false.

### text

    public final java.lang.String text()

  Equivalent to text(Clipboard).

### text

    public final java.lang.String text(QClipboard.Mode mode)

  Returns the clipboard text as plain text, or an empty string if the clipboard does not contain any text.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the text is retrieved from the global clipboard. If `mode` is QClipboard::Selection, the text is retrieved from the global mouse selection. If `mode` is QClipboard::FindBuffer, the text is retrieved from the search string buffer.

  See Also:
    `setText`, `mimeData`

### fromNativePointer

    public static QClipboard fromNativePointer(QNativePointer nativePointer)

  This function returns the QClipboard instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### text

    public final QClipboard.Text text(java.lang.String subtype,
                                      QClipboard.Mode mode)

  Returns the clipboard text in subtype `subtype`, or an empty string if the clipboard does not contain any text. If `subtype` is null, any subtype is acceptable, and `subtype` is set to the chosen subtype.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard::Clipboard, the text is retrieved from the global clipboard. If `mode` is QClipboard::Selection, the text is retrieved from the global mouse selection.

  Common values for `subtype` are "plain" and "html".

### text

    public final QClipboard.Text text(java.lang.String subtype)

  Returns the clipboard text as plain text, or an empty string if the clipboard does not contain any text.

  The `mode` argument is used to control which part of the system clipboard is used. If `mode` is QClipboard.Clipboard, the text is retrieved from the global clipboard. If `mode` is QClipboard::Selection, the text is retrieved from the global mouse selection. If `mode` is QClipboard.FindBuffer, the text is retrieved from the search string buffer.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD